#include <bits/stdc++.h>
#define mod 1000000007
#define pb push_back
#define mid(l, r) ((l)+(r))/2
#define len(a) (a).length()
#define sz(a) (a).size()
#define xx first
#define yy second
#define inf int(2e9)
#define ff(i, a, b) for(int (i) = (a); (i) <= (b); ++(i))
#define fb(i, a, b) for(int (i) = (a); (i) >= (b); --(i))


using namespace std;

typedef long long ll;
typedef pair<int,int> pii;

template<class T>
void print(const T niz[], const int siz)
{
    for(int i=0;i<siz;i++)
        cout << niz[i] << " ";
    cout << endl;
}

int n,k;
int poj[2*1000000 + 5];
vector<int> losi;
int main()
{
    ios_base::sync_with_stdio(false);
    cin >> n >> k;
    ff(i,0,n - 1){
        int x;
        cin >> x;
        x += n;
        poj[x]++;
        if(poj[x] == k)losi.pb(x);
    }
    cout << losi.size() << endl;
    for(auto c:losi)cout << c - n << " ";
    return 0;
}